#!/bin/bash
set -euo pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

DROPSHELL_BUILD_DIR="${SCRIPT_DIR}/../dropshell-build/dropshell-build.sh"
# make canonical path
DROPSHELL_BUILD_DIR=$(realpath "${DROPSHELL_BUILD_DIR}")

# make sure the build script exists
if [ ! -f "${DROPSHELL_BUILD_DIR}" ]; then
    echo "Error: dropshell-build.sh not found"
    exit 1
fi

# run the build script
"${DROPSHELL_BUILD_DIR}" "${SCRIPT_DIR}"
